- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.ManagedRuleset.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/managedRulesets/get#try-it)

Gets the details for the specified managed ruleset name.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/managedRulesets/{managedRuleset}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `managedRuleset` | `string` Name of the managed ruleset to return. |

### Request body

The request body must be empty.

### Response body

Represents a ManagedRuleset resource.

Managed internally by Cloud Armor CLH for Managed Rules features. Customers can only view these resources to modify their Security Policies. For more information, see <https://cloud.google.com/armor/docs/>.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "id": string, "creationTimestamp": string, "selfLink": string, "rulesetId": string, "description": string, "ruleIds": [ string ], "changeLog": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Name of the resource. Generated internally when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in RFC3339 text format. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `rulesetId` | `string` Output only. The managed ruleset identifier that can be configured in Security Policy rules. |
| `description` | `string` Output only. An optional description of this resource. |
| `ruleIds[]` | `string` Output only. The list of managed rule IDs that are included in this managed ruleset. |
| `changeLog` | `string` Output only. The change log for this managed ruleset. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.managedRulesets.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).